List Playbook Versions

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.thankly.ai/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"Thankly MCP server": {
  "url": "https://docs.thankly.ai/mcp"
}
Close
GET /playbooks/{playbook_id}/versions

Path parameters

  • playbook_id string Required

Responses

  • 200 application/json

    Successful Response

    Hide response attribute Show response attribute object
    • versions array[object] Required
      Hide versions attributes Show versions attributes object
      • id string Required
      • playbook_pk string Required
      • version integer Required
      • snapshot object Required

        Additional properties are allowed.

      • created_at string(date-time) Required
      • created_by string | null
  • 422 application/json

    Validation Error

    Hide response attribute Show response attribute object
    • detail array[object]
      Hide detail attributes Show detail attributes object
      • loc array[string | integer] Required
      • msg string Required
      • type string Required
      • input
      • ctx object
GET /playbooks/{playbook_id}/versions
curl \
 --request GET 'http://api.example.com/playbooks/{playbook_id}/versions' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "versions": [
    {
      "id": "string",
      "playbook_pk": "string",
      "version": 42,
      "snapshot": {},
      "created_at": "2026-05-04T09:42:00Z",
      "created_by": "string"
    }
  ]
}
Response examples (422)
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "ctx": {}
    }
  ]
}